org.bdgenomics.adam.rich

# RichAlignmentRecord

#### class RichAlignmentRecord extends AnyRef

Linear Supertypes
AnyRef, Any
Ordering

1. Alphabetic
2. By inheritance

Inherited

1. RichAlignmentRecord
2. AnyRef
3. Any

1. Hide All
2. Show all

Learn more about member selection
Visibility

1. Public
2. All

### Instance Constructors

1. #### new RichAlignmentRecord(record: AlignmentRecord)

### Value Members

1. #### final def !=(arg0: AnyRef): Boolean

   Definition Classes
     AnyRef

2. #### final def !=(arg0: Any): Boolean

   Definition Classes
     Any

3. #### final def ##(): Int

   Definition Classes
     AnyRef → Any

4. #### final def ==(arg0: AnyRef): Boolean

   Definition Classes
     AnyRef

5. #### final def ==(arg0: Any): Boolean

   Definition Classes
     Any

6. #### final def asInstanceOf[T0]: T0

   Definition Classes
     Any

7. #### def clone(): AnyRef

   Attributes
     protected[java.lang]
   Definition Classes
     AnyRef
   Annotations
     @throws( ... )

8. #### final def eq(arg0: AnyRef): Boolean

   Definition Classes
     AnyRef

9. #### def equals(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

10. #### def finalize(): Unit

    Attributes
      protected[java.lang]
    Definition Classes
      AnyRef
    Annotations
      @throws( classOf[java.lang.Throwable] )

11. #### def fivePrimePosition: Long

12. #### def fivePrimeReferencePosition: ReferencePosition

13. #### final def getClass(): Class[_]

    Definition Classes
      AnyRef → Any

14. #### def getReferenceContext(readOffset: Int, referencePosition: Long, cigarElem: CigarElement, elemOffset: Int): ReferenceSequenceContext

15. #### def hashCode(): Int

    Definition Classes
      AnyRef → Any

16. #### lazy val illuminaOptics: Option[IlluminaOptics]

17. #### final def isInstanceOf[T0]: Boolean

    Definition Classes
      Any

18. #### def isMismatchAtReadOffset(offset: Int): Option[Boolean]

19. #### def isMismatchAtReferencePosition(pos: ReferencePosition): Option[Boolean]

20. #### lazy val mdTag: Option[MdTag]

21. #### final def ne(arg0: AnyRef): Boolean

    Definition Classes
      AnyRef

22. #### final def notify(): Unit

    Definition Classes
      AnyRef

23. #### final def notifyAll(): Unit

    Definition Classes
      AnyRef

24. #### def overlapsReferencePosition(pos: ReferencePosition): Boolean

25. #### lazy val qualityScores: Array[Int]

26. #### def readOffsetToReferencePosition(offset: Int): Option[ReferencePosition]

27. #### def readOffsetToReferenceSequenceContext(offset: Int): Option[ReferenceSequenceContext]

28. #### val record: AlignmentRecord

29. #### lazy val referenceContexts: Seq[Option[ReferenceSequenceContext]]

30. #### lazy val referenceLength: Int

31. #### lazy val referencePositions: Seq[Option[ReferencePosition]]

32. #### lazy val samtoolsCigar: Cigar

33. #### final def synchronized[T0](arg0: ⇒ T0): T0

    Definition Classes
      AnyRef

34. #### lazy val tags: Seq[Attribute]

35. #### def toString(): String

    Definition Classes
      AnyRef → Any

36. #### lazy val unclippedEnd: Long

37. #### lazy val unclippedStart: Long

38. #### final def wait(): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

39. #### final def wait(arg0: Long, arg1: Int): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

40. #### final def wait(arg0: Long): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

### Inherited from AnyRef

### Inherited from Any

### Ungrouped